/*create employement status and earnings*/
/* revised by Sang-Hyop file */

gen employees=(empsecto==1 | empsecto==3 |empsecto==5 | empsecto==6)
gen self_employed=(empsecto==2 | empsecto==4|empsecto==7|empsecto==8)

egen employ_income = rsum(money12 other12)

gen wage_income = employ_income if employees==1
gen selfe_income= employ_income if self_employed==1 
replace wage_income=0 if wage_income==.
replace selfe_income=0 if selfe_income==.

/*to create mean wage income at a given age*/


egen mean_wage_income=mean(wage_income), by (age)
replace mean_wage_income =0 if self_employed~=1

egen hh_wage_income=sum(mean_wage_income), by (cluster district hhnumber)
egen hh_selfe_income=sum(selfe_income), by (cluster district hhnumber)


/*To generate share of self income we use mean wage income and pop_ mean wage income and totalhhself*/ 

gen share_YLS=(mean_wage_income/hh_wage_income)*hh_selfe_income
replace share_YLS=0 if share_YLS==.
replace share_YLS=share_YLS

table age [aw=fwta], c(mean wage_income mean selfe_income mean share_YLS)

