/*create employement status and earnings*/
/*create a dummy variable to indicate workers who are selfemployed or employees*/

egen employ_income = rsum(money12 other12)
gen wage_income = employ_income if (empsecto==3 | empsecto==1 | empsecto==5 | empsecto==6)
gen selfe_income= employ_income if (empsecto==2 | empsecto==4|empsecto==7|empsecto==8)
replace wage_income=0 if wage_income==.
replace selfe_income=0 if selfe_income==.

/*to generate the number of employees in each sector*/

gen employees=(empsecto==1 | empsecto==3 |empsecto==5 | empsecto==6)

/*to create mean wage income at a given age*/
egen mean_wage_income=mean(wage_income), by (age)
egen hh_wage_income=sum(mean_wage_income), by (cluster district hhnumber)
egen hh_selfe_income=sum(selfe_income), by (cluster district hhnumber)


/*To generate share of self income we use mean wage income and pop_ mean wage income and totalhhself*/ 

gen share_selfe_income=(mean-wage_income/hh_wage_income)*hh_selfe_income
replace share_selfe_income=0 if share_selfe_income==.
replace share_selfe_income=(share_selfe_income)*(2/3)

table age [aw=fwta], c(mean wage_income mean selfe_income mean share_selfe_income)

